Domains
Προσαρμοσμένα domains για σύντομους συνδέσμους.
GET/api/v1/domainsΚατάλογος domain
| Όνομα | Τύπος | Απαιτείται | Περιγραφή |
|---|---|---|---|
| page | integer | Όχι | Page number (default 1) |
| results_per_page | integer | Όχι | Items per page (default 25, max 100) |
| search | string | Όχι | Search term |
| search_by | string | Όχι | Column to search |
| order_by | string | Όχι | Sort column |
| order_type | string | Όχι | asc or desc |
| datetime_start | string | Όχι | ISO datetime filter start |
| datetime_end | string | Όχι | ISO datetime filter end |
curl -X GET 'https://forqrcode.com/api/v1/domains' \ -H 'Authorization: Bearer YOUR_API_KEY'
GET/api/v1/domains/availableΚατάλογος διαθέσιμων domains
curl -X GET 'https://forqrcode.com/api/v1/domains/available' \ -H 'Authorization: Bearer YOUR_API_KEY'
GET/api/v1/domains/{id}Ανάγνωση ενός domain
| Όνομα | Τύπος | Απαιτείται | Περιγραφή |
|---|---|---|---|
| id | integer | Ναι | — |
curl -X GET 'https://forqrcode.com/api/v1/domains/{id}' \
-H 'Authorization: Bearer YOUR_API_KEY'POST/api/v1/domainsΔημιουργία domain
| Όνομα | Τύπος | Απαιτείται | Περιγραφή |
|---|---|---|---|
| host | string | Ναι | — |
curl -X POST 'https://forqrcode.com/api/v1/domains' \ -H 'Authorization: Bearer YOUR_API_KEY'
PATCH/api/v1/domains/{id}Ενημέρωση domain
| Όνομα | Τύπος | Απαιτείται | Περιγραφή |
|---|---|---|---|
| id | integer | Ναι | — |
curl -X PATCH 'https://forqrcode.com/api/v1/domains/{id}' \
-H 'Authorization: Bearer YOUR_API_KEY'DELETE/api/v1/domains/{id}Διαγραφή domain
| Όνομα | Τύπος | Απαιτείται | Περιγραφή |
|---|---|---|---|
| id | integer | Ναι | — |
curl -X DELETE 'https://forqrcode.com/api/v1/domains/{id}' \
-H 'Authorization: Bearer YOUR_API_KEY'Τα ονόματα παραμέτρων και τα παραδείγματα JSON εμφανίζονται στα αγγλικά. Αντικαταστήστε το YOUR_API_KEY με το κλειδί του λογαριασμού σας.